Subject: Re: Fw: Linking to cygwin1.dll and msvcrt.dll
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 20 Jul 2001 22:57:04 -0400

On Fri, Jul 20, 2001 at 10:43:31PM -0700, eCommerce Software Solutions Inc. wrote:
>
>
>BUG: cygwin with ( dll 1.3.2 ) and latest Postgresql 7.1.2 on Win 2000 with
>SP1
>
>
>Hi Corinna, Mo and Mumit,
>
>I am a brand new Cygwin user, who started using it basically to postgresql
>on WIN2000.
>
>The situation is this:
>
>I have cygwin with ( dll 1.3.2 ) and latest Postgresql 7.1.2 on Win 2000
>with SP1.
>
>I use Java and JDBC to connect from a Windows to Postgresql server to do a
>very simple select:
>
>select count(*) from table1; // returns count of 2
>
>It works fine.
>
>Now I run this on 10 threads in my Java program. Each thread loops for
>100000000 times.
>
>When I do this every thing appears to be ok at first. Then, I realize that I
>am loosing free memory really fast.
>
>I go in the "task manager" in windows 2000 and look at the memory usage for
>each process. It is fine i.e not growing.
>
>But Available physical memory is going down really fast. I have no clue at
>first.
>
>Then I notice that in Performance tab of Windows task manager, under Totals,
>the handles is running very fast.
>
>I discovered that it begins from 4080 and goes on incrimenting ( to a very
>large number ) until I run out of memory.
>
>I have a feeling that this is related to close of handles problem you are
>discussing under subject
>"Linking to cygwin1.dll and msvcrt.dll"
>
>Mo has provided a patch. But I don't know how to apply this ( I am very good
>at Unix and C++ but fear screwing something up
>
>as the diff lookcomplicated).
>
>Could you folks guide me. I can use Postgresql on Win2000 only if Cygwin is
>stable in this regard.

I don't see how this could have anything to do with Mo's patch.  His patch
was for tcl.  You are not using tcl.

It sounds like you have an old-fashioned handle leak in your program, although
it is not clear if it is your program or Postgres which is having the problem.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/